
Sidebar Content - Bug #1809

the plugin show_issue_description and the plugin Sidebar_content has conflict.

21 Jul 2011 03:40 - Steven Wong

Status: Closed Start date: 21 Jul 2011

Priority: Normal Due date: 19 Sep 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

Redmine version:  External issue:  

Description

I have a new problem about the show_issue_description and the plugin Sidebar_content **

it seems that they have conflict each other, when I use the sidebar_content to create a sidebar in issue page. **

The error information as follows：

NoMethodError in Issues#index

Showing app/views/issues/_sidebar.rhtml where line #6 raised:

undefined method `strip_tags’ for #<SidebarHook:0x6959ee0 @parsed_headings=[]>

Extracted source (around line #6):

3: <% if @project >

4: <= link_to l(:field_summary), :controller => 'reports', :action => 'issue_report', :id => @project ><br />

5: < end >

6: <= call_hook(:view_issues_sidebar_issues_bottom) >

7:

8: < if User.current.allowed_to?(:view_calendar, @project, :global => true) >

9: <= link_to(l(:label_calendar), :controller => 'calendars', :action => 'show', :project_id => @project) %><br />

Trace of template inclusion: vendor/plugins/redmine_show_descriptions/app/views/issues/index.rhtml

RAILS_ROOT: D:/redmine

Application Trace | Framework Trace | Full Trace

D:/redmine/app/helpers/application_helper.rb:705:in `parse_headings’

D:/redmine/app/helpers/application_helper.rb:703:in `gsub!'

D:/redmine/app/helpers/application_helper.rb:703:in `parse_headings’

D:/redmine/app/helpers/application_helper.rb:464:in `send’

D:/redmine/app/helpers/application_helper.rb:464:in `textilizable’

D:/redmine/app/helpers/application_helper.rb:463:in `each’

D:/redmine/app/helpers/application_helper.rb:463:in `textilizable’

D:/redmine/app/helpers/application_helper.rb:483:in `parse_non_pre_blocks’

D:/redmine/app/helpers/application_helper.rb:462:in `textilizable’

D:/redmine/lib/redmine/hook.rb:63:in `send’

D:/redmine/lib/redmine/hook.rb:63:in `call_hook’

D:/redmine/lib/redmine/hook.rb:63:in `each’

D:/redmine/lib/redmine/hook.rb:63:in `call_hook’

D:/redmine/lib/redmine/hook.rb:60:in `tap’

D:/redmine/lib/redmine/hook.rb:60:in `call_hook’

D:/redmine/lib/redmine/hook.rb:144:in `call_hook’

D:/redmine/app/views/issues/_sidebar.rhtml:6:in `_run_rhtml_app47views47issues47_sidebar46rhtml_locals_object_sidebar’

D:/redmine/app/helpers/application_helper.rb:868:in `content_for’

D:/redmine/app/controllers/issues_controller.rb:92:in `index_without_xls_export’

D:/redmine/app/controllers/issues_controller.rb:91:in `index_without_xls_export’

Request

Parameters:
http://projects.andriylesyuk.com/issues/6
http://projects.andriylesyuk.com/issues/6


{“project_id"⇒“demoprj”}

Show session dump

Response

Headers:

{“Content-Type"⇒“text/html”,

“Cache-Control"⇒“no-cache”}

Related issues:

Related to Sidebar Content - Bug #1827: Sidebar wiki contents doesn't get ren... Closed 19 Aug 2011 19 Sep 2011

Duplicated by Sidebar Content - Bug #1797: http 500 error when using Wiki con... Closed 29 Jun 2011 19 Sep 2011

Associated revisions

Revision 8 - 14 Sep 2011 08:07 - Andriy Lesyuk

Now using Projects Settings Hook (#1839), moved sidebar content to views (#1827, #1797, #1809)

History

#1 - 21 Jul 2011 03:44 - Steven Wong

the show_issue_description plugin url ：

http://www.redmine.org/projects/redmine/wiki/PluginShowIssueDescriptions

the newest version with patch in Redmine 1.2.X pack is:

http://www.redmine.org/attachments/6288/redmine_show_descriptions-0.0.4-Repack.zip

#2 - 21 Jul 2011 07:35 - Andriy Lesyuk

Hi! Thanks for reporting!

I’m not sure but this can be an issue with the strip_tags function... It looks like the problem is in headings you use for sidebar content. Could you

please try removing headings (<h1>, <h2>...)?

#3 - 21 Jul 2011 07:39 - Andriy Lesyuk

- Status changed from New to Open

#4 - 23 Aug 2011 18:47 - Andriy Lesyuk

- Assignee set to Andriy Lesyuk

- Target version set to 0.0.3

#5 - 14 Sep 2011 08:10 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 80

Please update code from SVN and try again.

ANd please note that for this new version (in SVN) you need Project Settings Hook plugin!

#6 - 19 Sep 2011 06:34 - Andriy Lesyuk

- Due date set to 19 Sep 2011

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Should be fine now.
